#!/usr/bin/env python
#coding=utf-8
import pygtk
pygtk.require('2.0')
import gtk.glade

def dialog_close(dialog,a=None,b=None,c=None):
    dialog.response(gtk.STOCK_CANCEL)
    return True
def open_file_dialog():
    dialog = gtk.FileChooserDialog(None,None,gtk.FILE_CHOOSER_ACTION_OPEN,(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL,gtk.STOCK_OPEN, gtk.RESPONSE_OK))
    dialog.connect("close",dialog_close)
    dialog.set_default_response(gtk.RESPONSE_OK)
    dialog.set_select_multiple(True)
    response=dialog.run()
    if response == gtk.RESPONSE_OK:
        filename=" ".join(['\"%s\"' % k.replace('"','\\"') for k in dialog.get_filenames()])
    else:
        filename=None
    dialog.destroy()
    return filename

def input_text_dialog(title=None,markup="",secmarkup="",text=""):
    dialog = gtk.MessageDialog(None,0,gtk.MESSAGE_QUESTION ,gtk.BUTTONS_OK_CANCEL)
    dialog.connect("close",dialog_close)
    dialog.set_markup(markup)
    dialog.format_secondary_markup(secmarkup)
    __msgentry = gtk.Entry()
    __msgentry.set_text(text)
    __msgentry.select_region(0,-1)
    dialog.vbox.pack_end(__msgentry, True, True, 0)
    dialog.show_all()
    response=dialog.run()
    if response == gtk.RESPONSE_OK:
        text=__msgentry.get_text()
    else:
         text=None
    dialog.destroy()
    return text

def msgbox(title=None,markup="",secmarkup="",text=""):
    dialog = gtk.MessageDialog(None,0,gtk.MESSAGE_QUESTION ,gtk.BUTTONS_OK)
    dialog.connect("close",dialog_close)
    dialog.set_markup(markup)
    dialog.format_secondary_markup(secmarkup)
    response=dialog.run()
    dialog.destroy()
